# Uses of Class
org.eclipse.jdt.core.dom.Modifier

Packages that use Modifier
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of Modifier in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return Modifier
Modifier and Type
Method
Description
`Modifier`
AST.`newModifier(Modifier.ModifierKeyword keyword)`
Creates and returns a new unparented modifier node for the given modifier.
Methods in org.eclipse.jdt.core.dom with parameters of type Modifier
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(Modifier node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(Modifier node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(Modifier node)`
Visits the given type-specific AST node.